import qs from 'qs';
import { CITY_SERVICE, get, PUBLISH_SERVICE, post, postForm } from '../index';


//获取任务列表
export const taskOptionsList = () =>
    get(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/TaskOptionsList`);

//获取设备类型
export const getIotDeviceType = () =>
    get(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/GetIotDeviceType`);


//获取场景列表
export const algorithmList = () =>
    get(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/AlgorithmList`);


//获取设备列表
export const getEquipmentInfo = (query) =>
    get(`${CITY_SERVICE}/IOTPlatform.svc/AcrossTable/GetEquipmentInfo?equipType=${query}`);


//任务添加
export const addTaskOptions = (params) =>
    post(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/AddTaskOptions`, params);

//任务编辑
export const updateTaskOptions = (params) =>
    post(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/UpdateTaskOptions`, params);

//任务删除
export const deleteTaskOptions = (params) =>
    post(`${CITY_SERVICE}/IOTPlatform.svc/WaterAge/DeleteTaskOptions`, params);
